RoutesMcp serversServerslugOpenapiTest
/mcp-servers/{serverSlug}/openapi/test
Fetch a remote OpenAPI/Swagger specification from the given URL and validate that it is a valid spec
AuthorizationBearer <token>
In: header
Path Parameters
serverSlug*string
Length
1 <= lengthRequest Body
application/json
method*string
Whether to test a spec string or a spec URL.
Value in
"spec" | "specUrl"headers?
Optional headers to include when fetching the remote OpenAPI/Swagger specification.
spec?string
The OpenAPI/Swagger specification as a JSON string.
specUrl?string
The URL of the remote OpenAPI/Swagger specification to fetch and validate.
Format
uriResponse Body
application/json
curl -X POST "https://YOUR_ORG_ID.gatana.ai/api/v1/mcp-servers/string/openapi/test" \ -H "Content-Type: application/json" \ -d '{ "method": "spec" }'{
"success": true,
"title": "string",
"version": "string",
"specVersion": "string",
"baseUrl": "string",
"operationCount": -9007199254740991,
"endpoints": [
{
"method": "string",
"path": "string"
}
]
}